# -----------------------------------------------------------------------------
sub oraDatafiles
{
  ($thishost) = @_;
  #
  # Check for offline datafiles
  #

  if ($up[$thishost] ne "Y")
  {
    logit("(Down/Inhibited)",$thishost);
    return 1;
  }

  if ($asmflag[$thishost])
  {
    &logit("(This check not applicable to +ASM instance)",$thishost);
    return 1;
  }

  if (&check_inhib($thishost) eq "Y")
  {
    $up[$thishost] = "I";
    return;
  }

  $msgid = "";
  $downflag = 0;

  @lines = split(/\n/,$oraDatafilesStack[$thishost]);
  foreach (@lines)
  {
    ##print "$_ \n";
    &parse;
    if ($F4 eq "DatafileDown:") { $downflag = 1 }
  }

  if ($downflag) 
  {
    if ($df_offline_sev[$thishost] ne "")
    {
      $dfsev = $df_offline_sev[$thishost];   
    }
    else
    {
      $dfsev = "C";
    }

    open(TMPFL6, ">$tmpfl6") || &error_msg("Can't open output $tmpfl6 - $!");
    print TMPFL6 $oraDatafilesStack[$thishost];
    close(TMPFL6);
    &event("$dfsev",$thishost,"OFFLINE Datafile(s) Found","OffDFs","DBA648",$tmpfl6);
  } 
  else
  {
    logit("OK",$thishost);
  }
}
# -----------------------------------------------------------------------------
1;
